PETSc version 3.17.4
Fix/Edit manual page

# MatSchurComplementGetKSP

Gets the KSP object that is used to solve with A00 in the Schur complement matrix S = A11 - A10 ksp(A00,Ap00) A01

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatSchurComplementGetKSP(Mat S, KSP *ksp)

Not Collective

### Input Parameter

| S | - matrix obtained with MatCreateSchurComplement() (or equivalent) and implementing the action of A11 - A10 ksp(A00,Ap00) A01

### Output Parameter

| ksp | - the linear solver object

### Options Database

| -fieldsplit_<splitname_0>_XXX sets KSP and PC options for the 0 | - split solver inside the Schur complement used in PCFieldSplit; default <splitname_0> is 0.

### See Also

MatSchurComplementSetKSP(), MatCreateSchurComplement(), MatCreateNormal(), MatMult(), MatCreate()

### Level

intermediate

### Location

src/ksp/ksp/utils/schurm/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages